# Class AppEvent

java.lang.Object
java.util.EventObject
java.awt.desktop.AppEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AboutEvent, AppForegroundEvent, AppHiddenEvent, AppReopenedEvent, FilesEvent, OpenURIEvent, PreferencesEvent, QuitEvent, ScreenSleepEvent, SystemSleepEvent, UserSessionEvent`

public sealed class AppEvent extends EventObject permits AboutEvent, AppForegroundEvent, AppHiddenEvent, AppReopenedEvent, FilesEvent, OpenURIEvent, PreferencesEvent, QuitEvent, ScreenSleepEvent, SystemSleepEvent, UserSessionEvent
AppEvents are sent to listeners and handlers installed on the `Desktop` instance of the current desktop context.

Sealed Class Hierarchy Graph:
Since:
  9
See Also:
  - Serialized Form

## Field Summary

### Fields declared in class EventObject

`source`
Modifier and Type
Field
Description
`protected Object`
`source`
The object on which the Event initially occurred.

## Method Summary

### Methods declared in class EventObject

`getSource, toString`
Modifier and Type
Method
Description
`Object`
`getSource()`
The object on which the Event initially occurred.
`String`
`toString()`
Returns a String representation of this EventObject.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.